cc.funkemunky.api.tinyprotocol.packet.types

## Enum WrappedEnumPlayerInfoAction

- java.lang.Object
- - java.lang.Enum<WrappedEnumPlayerInfoAction>
  - - cc.funkemunky.api.tinyprotocol.packet.types.WrappedEnumPlayerInfoAction

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<WrappedEnumPlayerInfoAction>

    public enum WrappedEnumPlayerInfoAction
    extends java.lang.Enum<WrappedEnumPlayerInfoAction>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ADD_PLAYER`
`REMOVE_PLAYER`
`UPDATE_DISPLAY_NAME`
`UPDATE_GAME_MODE`
`UPDATE_LATENCY`

### Field Summary

Fields
`java.lang.String` `legacyMethodName`

### Method Summary

All Methods Static Methods Concrete Methods
`static WrappedEnumPlayerInfoAction` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WrappedEnumPlayerInfoAction[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ADD_PLAYER

    public static final WrappedEnumPlayerInfoAction ADD_PLAYER

#### UPDATE_GAME_MODE

    public static final WrappedEnumPlayerInfoAction UPDATE_GAME_MODE

#### UPDATE_LATENCY

    public static final WrappedEnumPlayerInfoAction UPDATE_LATENCY

#### UPDATE_DISPLAY_NAME

    public static final WrappedEnumPlayerInfoAction UPDATE_DISPLAY_NAME

#### REMOVE_PLAYER

    public static final WrappedEnumPlayerInfoAction REMOVE_PLAYER

### Field Detail

#### legacyMethodName

    public java.lang.String legacyMethodName

### Method Detail

#### values

    public static WrappedEnumPlayerInfoAction[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (WrappedEnumPlayerInfoAction c : WrappedEnumPlayerInfoAction.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static WrappedEnumPlayerInfoAction valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null